CheckHits.SetCollector (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.CheckHits.SetCollector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class CheckHits.SetCollector

    java.lang.Object
      org.apache.lucene.search.Collector
          org.apache.lucene.search.CheckHits.SetCollector

Enclosing class:
  CheckHits

    public static class CheckHits.SetCollector

extends org.apache.lucene.search.Collector

Just collects document ids into a set.

Constructor Summary
`CheckHits.SetCollector(Set<Integer> bag)`

Method Summary
`boolean` | `acceptsDocsOutOfOrder()`
`void` | `collect(int doc)`
`void` | `setNextReader(org.apache.lucene.index.IndexReader reader, int docBase)`
`void` | `setScorer(org.apache.lucene.search.Scorer scorer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckHits.SetCollector

    public CheckHits.SetCollector(Set<Integer> bag)

Method Detail

### setScorer

    public void setScorer(org.apache.lucene.search.Scorer scorer)
                   throws IOException

  Specified by:
    `setScorer` in class `org.apache.lucene.search.Collector`
  Throws:
    `IOException`

### collect

    public void collect(int doc)

  Specified by:
    `collect` in class `org.apache.lucene.search.Collector`

### setNextReader

    public void setNextReader(org.apache.lucene.index.IndexReader reader,
                              int docBase)

  Specified by:
    `setNextReader` in class `org.apache.lucene.search.Collector`

### acceptsDocsOutOfOrder

    public boolean acceptsDocsOutOfOrder()

  Specified by:
    `acceptsDocsOutOfOrder` in class `org.apache.lucene.search.Collector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD